Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.fo
Enum OdfFontWeightType

    java.lang.Object
      java.lang.Enum<OdfFontWeightType>
          org.odftoolkit.odfdom.dom.type.fo.OdfFontWeightType

All Implemented Interfaces:
  Serializable, Comparable<OdfFontWeightType>

    public enum OdfFontWeightType

extends Enum<OdfFontWeightType>

DOM implementation of OpenDocument attribute fo:font-weight.

Enum Constant Summary
`_100`
`_200`
`_300`
`_400`
`_500`
`_600`
`_700`
`_800`
`_900`
`BOLD`
`NORMAL`

Method Summary
`static OdfFontWeightType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfFontWeightType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfFontWeightType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfFontWeightType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _500

    public static final OdfFontWeightType _500

### _100

    public static final OdfFontWeightType _100

### _900

    public static final OdfFontWeightType _900

### _400

    public static final OdfFontWeightType _400

### NORMAL

    public static final OdfFontWeightType NORMAL

### _800

    public static final OdfFontWeightType _800

### _200

    public static final OdfFontWeightType _200

### _700

    public static final OdfFontWeightType _700

### _300

    public static final OdfFontWeightType _300

### BOLD

    public static final OdfFontWeightType BOLD

### _600

    public static final OdfFontWeightType _600

Method Detail

### values

    public static OdfFontWeightType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfFontWeightType c : OdfFontWeightType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfFontWeightType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfFontWeightType>`
  Returns:
    return the name of OdfFontWeightType

### toString

    public static String toString(OdfFontWeightType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfFontWeightType, see fo:font-weight
  Returns:
    return the name of OdfFontWeightType

### enumValueOf

    public static OdfFontWeightType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfFontWeightType
  Returns:
    return the constant of OdfFontWeightType, see fo:font-weight

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.